Bug 309498 - "Play/Stop" button in information panel is fixed size
Summary: "Play/Stop" button in information panel is fixed size
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: panels: information (show other bugs)
Version: 2.1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dolphin Bug Assignee
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2012-11-03 22:07 UTC by Kai Uwe Broulik
Modified: 2012-11-04 13:45 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2012-11-03 22:07:53 UTC
[Probably a KDElibs issue]

The "Play" button in the places panel is hardcoded to 16px and does not follow KDE's global icon sizes making it hard to hit on high-dpi screens

Reproducible: Always
Comment 1 Jekyll Wu 2012-11-03 23:46:19 UTC
information/phononwidget.cpp:127:        m_playButton->setIconSize(QSize(16, 16));
information/phononwidget.cpp:133:        m_stopButton->setIconSize(QSize(16, 16));
Comment 2 Frank Reininghaus 2012-11-04 09:06:33 UTC
Thanks Kai for the bug report and Jekyll for finding the relevant code! I think that we should replace those "16" by KIconLoader::SizeSmall, right?
Comment 3 Kai Uwe Broulik 2012-11-04 10:12:55 UTC
IconSize(KIconLoader::Small) should do the job
Comment 4 Frank Reininghaus 2012-11-04 13:41:27 UTC
Git commit cc06935397ecb1c543ed7d52887007f425a1cddb by Frank Reininghaus.
Committed on 04/11/2012 at 14:39.
Pushed by freininghaus into branch 'KDE/4.9'.

Do not use a hardcoded size for the buttons in the Information panel

Thanks to Kai Uwe Broulok and Jekyll Wu for the investigation!
FIXED-IN: 4.9.4

M  +5    -2    dolphin/src/panels/information/phononwidget.cpp

http://commits.kde.org/kde-baseapps/cc06935397ecb1c543ed7d52887007f425a1cddb
Comment 5 Frank Reininghaus 2012-11-04 13:45:24 UTC
@Kai: sorry for the typo in the commit message, found it only now. "i" and "o" are too close to each other on my keyboard ;-)